import { shallowMount } from "@vue/test-utils";
import funnelHeader from "./funnel-header";

describe("funnelHeader", () => {
    test("renders the logo image", () => {
        // Arrange

        // Act
        const wrapper = shallowMount(funnelHeader, {
            setData: {
                imageSrc: "image_url",
            },
            mixins: [mockMixin],
        });

        // Assert
        expect(wrapper.find("img")).toBeTruthy();
        wrapper.unmount();
    });
});

const mockMixin = {
    methods: {
        getCmsContent: jest.fn(),
    },
};
